KMainWindowInterface Class Reference

`#include <kmainwindowiface.h>`

Inheritance diagram for KMainWindowInterface:

## Public Member Functions

| KMainWindowInterface (KMainWindow *mainWindow)
| ~KMainWindowInterface ()
QCStringList | functionsDynamic ()
bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

DCOP interface to KMainWindow.

This is the main interface to the KMainWindow. This will provide a consistent DCOP interface to all KDE applications that use it.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@y.nosp@m.ahoo..nosp@m.com

Definition at line 40 of file kmainwindowiface.h.

## Constructor & Destructor Documentation

KMainWindowInterface::KMainWindowInterface | ( | KMainWindow * | mainWindow | ) |

Construct a new interface object.

Parameters

  mainWindow | - The parent KMainWindow object that will provide us with the KAction objects.

Definition at line 31 of file kmainwindowiface.cpp.

KMainWindowInterface::~KMainWindowInterface | ( |  | ) |

Destructor Cleans up the dcop action proxy object.

Definition at line 39 of file kmainwindowiface.cpp.

## Member Function Documentation

DCOPRef KMainWindowInterface::action | ( | const QCString & | name | ) |

Returns a dcop reference to the selected KAction.

Parameters

  name | The name of the action. The names of valid actions can be found by calling actions().

Returns
  A DCOPRef for the kaction.

Definition at line 122 of file kmainwindowiface.cpp.

bool KMainWindowInterface::actionIsEnabled | ( | QCString | action | ) |

Returns the status of the requested action.

Parameters

  action | The name of the action. The names of valid actions can be found by calling actions().

Returns
  The state of the action, true - enabled, false - disabled.

Definition at line 97 of file kmainwindowiface.cpp.

QMap< QCString, DCOPRef > KMainWindowInterface::actionMap | ( |  | ) |

Returns and action map.

Definition at line 127 of file kmainwindowiface.cpp.

QCStringList KMainWindowInterface::actions | ( |  | ) |

Return a list of actions available to the application's window.

Returns
  A QCStringList containing valid names actions.

Definition at line 45 of file kmainwindowiface.cpp.

QCString KMainWindowInterface::actionToolTip | ( | QCString | action | ) |

Returns the tool tip text of the requested action.

Parameters

  action | The name of the action to activate. The names of valid actions can be found by calling actions().

Returns
  A QCString containing the text of the action's tool tip.

Definition at line 109 of file kmainwindowiface.cpp.

bool KMainWindowInterface::activateAction | ( | QCString | action | ) |

Activates the requested action.

Parameters

  action | The name of the action to activate. The names of valid actions can be found by calling actions().

Returns
  The success of the operation.

Definition at line 58 of file kmainwindowiface.cpp.

bool KMainWindowInterface::disableAction | ( | QCString | action | ) |

Disables the requested action.

Parameters

  action | The name of the action to disable. The names of valid actions can be found by calling actions().

Returns
  The success of the operation.

Definition at line 71 of file kmainwindowiface.cpp.

bool KMainWindowInterface::enableAction | ( | QCString | action | ) |

Enables the requested action.

Parameters

  action | The name of the action to enable. The names of valid actions can be found by calling actions().

Returns
  The success of the operation.

Definition at line 84 of file kmainwindowiface.cpp.

int KMainWindowInterface::getWinID | ( |  | ) |

Returns the ID of the current main window.

This is useful for automated screen captures or other evil widget fun.

Returns
  A integer value of the main window's ID.

Definition at line 132 of file kmainwindowiface.cpp.

void KMainWindowInterface::grabWindowToClipBoard | ( |  | ) |

Copies a pixmap representation of the current main window to the clipboard.

Definition at line 136 of file kmainwindowiface.cpp.

The documentation for this class was generated from the following files:

- kmainwindowiface.h
- kmainwindowiface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys